Modify

Opened 2 months ago

Closed 2 months ago

#18221 closed defect (fixed)

Zoom on downloaded french cadastre data checkbox not taken into account when unchecked

Reported by: orhygine Owned by: Don-vip
Priority: normal Milestone:
Component: Plugin cadastre-fr Version: latest
Keywords: template_report Cc:

Description

What steps will reproduce the problem?

  1. Load data on this area with following remote control URL: http://127.0.0.1:8111/load_and_zoom?left=1.439100354909897&right=1.4409323036670687&top=43.602327363261765&bottom=43.601641725633996
  2. Open data download interface and choose download from cadastre tab.
  3. Uncheck "Zoom on downloaded data" checkbox.
  4. Click on download in a new layer.

What is the expected result?

The expected behaviour is to not move map location and zoom at download time.

What happens instead?

Cadastre data is downloaded and zoom on data occurs.

Please provide any additional information below. Attach a screenshot if possible.

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2019-10-11 20:51:47 +0200 (Fri, 11 Oct 2019)
Revision:15454
Build-Date:2019-10-12 01:30:58
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (15454 fr) Linux Ubuntu 19.04
Memory Usage: 723 MB / 2048 MB (382 MB allocated, but free)
Java version: 11.0.4+11-post-Ubuntu-1ubuntu219.04, Ubuntu, OpenJDK 64-Bit Server VM
Screen: :0.0 1366x768
Maximum Screen Size: 1366x768
Java ATK Wrapper package: libatk-wrapper-java:all-0.33.3-21
fonts-noto: fonts-noto:-
Dataset consistency test: No problems found

Plugins:
+ ImproveWay (26)
+ Mapillary (1.5.20)
+ OpeningHoursEditor (34977)
+ PolygonCutOut (v0.7)
+ apache-commons (35092)
+ apache-http (34908)
+ buildings_tools (35171)
+ cadastre-fr (35186)
+ changeset-viewer (22)
+ continuosDownload (82)
+ ejml (35122)
+ geochat (35163)
+ geotools (35169)
+ gridify (1556174547)
+ jaxb (35014)
+ jna (34908)
+ jts (35122)
+ measurement (35051)
+ opendata (35179)
+ reverter (35084)
+ todo (30306)
+ utilsplugin2 (35177)
+ wikipedia (1.1.2)

Map paint styles:
+ ${HOME}/osm/work.mapcss

Last errors/warnings:
- W: No configuration settings found.  Using hardcoded default values for all pools.

Attachments (0)

Change History (2)

comment:1 Changed 2 months ago by Don-vip

Status: newassigned

comment:2 Changed 2 months ago by Don-vip

Resolution: fixed
Status: assignedclosed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Don-vip.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.